<?php
// Кнопка клавиатуры, нажав на которую отправляется запрос обратного вызова
// какой-либо функции

namespace BotKit\KeyboardButtons;

use BotKit\Enums\KeyboardButtonColor;

class CallbackKeyboardButton extends KeyboardButton {
	// Тип вызова. Аналог состояния пользователя
	private $type;

	public function __construct(string $text, $type, $color=KeyboardButtonColor::None, $payload=[]) {
		$this->text = $text;
		$this->color = $color;
		$this->payload = $payload;
		$this->type = $type;
	}

	public function getType() {
		return $this->type;
	}
}