<?php
// Клавиатура выбора типа аккаунта

namespace BotKit\Keyboards;

use BotKit\KeyboardButtons\CallbackKeyboardButton;
use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;

class SelectUserTypeKeyboard extends InlineKeyboard {

	public function __construct() {
		
		$this->layout =
		[
			[
				new CallbackKeyboardButton(
					"Я студент",
					CallbackType::SelectedAccountType,
					KeyboardButtonColor::Primary,
					["account"=> "student"]
				),
				new CallbackKeyboardButton(
					"Я преподаватель",
					CallbackType::SelectedAccountType,
					KeyboardButtonColor::Primary,
					["account"=> "teacher"]
				)
			]
		];
	}

	public static bool $cacheable = true;
}